[arch-commits] Commit in networkmanager/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun May 10 10:08:19 EDT 2009


    Date: Sunday, May 10, 2009 @ 10:08:19
  Author: jgc
Revision: 38795

upgpkg: networkmanager 0.7.1-1

Modified:
  networkmanager/trunk/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-10 13:50:15 UTC (rev 38794)
+++ PKGBUILD	2009-05-10 14:08:19 UTC (rev 38795)
@@ -6,23 +6,27 @@
 # Contributor: Valentine Sinitsyn <e_val at inbox.ru>
 
 pkgname=networkmanager
-pkgver=0.7.0
+pkgver=0.7.1
 pkgrel=1
 pkgdesc="Network Management daemon"
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.gnome.org/projects/NetworkManager/"
-depends=('wireless_tools' 'iproute' 'hal>=0.5.11-7' 'libnl>=1.1' 'ppp' 'dhcpcd>=4.0' 'wpa_supplicant>=0.5.11' "libnetworkmanager>=${pkgver}")
-makedepends=('pkgconfig' 'perlxml')
+depends=('wireless_tools' 'iproute' 'hal>=0.5.12git20090421.4fc367' 'libnl>=1.1' 'ppp' 'dhcpcd>=4.0' 'wpa_supplicant>=0.6.9' 'iptables' 'nss>=3.12.3')
+makedepends=('pkgconfig' 'intltool')
 options=('!libtool' '!makeflags')
 backup=('etc/NetworkManager/nm-system-settings.conf')
+replaces=('libnetworkmanager')
+provides=("libnetworkmanager=${pkgver}")
+conflicts=('libnetworkmanager')
 source=(http://ftp.gnome.org/pub/gnome/sources/NetworkManager/0.7/NetworkManager-${pkgver}.tar.bz2
 	nm-system-settings.conf)
-md5sums=('64f780e7f95c252eaaed0201c3d9a4ca'
+md5sums=('954742cfd47191204d62d8d57f2bc6dd'
 	 '1653159d6634fb62d3a5c548b7a56151')
 
 build() {
   cd "${srcdir}/NetworkManager-${pkgver}"
+  sed -e 's/"\/sbin\/iptables/"\/usr\/sbin\/iptables/g' -i src/nm-activation-request.c || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
       --with-distro=arch --localstatedir=/var \
       --libexecdir=/usr/lib/networkmanager \
@@ -30,9 +34,6 @@
       --with-crypto=nss || return 1
   
   make || return 1
-  sed -i -e 's/\slibnm-util\s/ /' -e 's/\slibnm-glib\s/ /' -e 's/\sinclude/ /' Makefile || return 1
   make DESTDIR="${pkgdir}" install || return 1
-  install -d -m755 "${pkgdir}/usr/bin"
-  install -m755 test/.libs/nm-tool "${pkgdir}/usr/bin/" || return 1
   install -m644 "${srcdir}/nm-system-settings.conf" "${pkgdir}/etc/NetworkManager/" || return 1
 }



More information about the arch-commits mailing list